Create a new maintenance window
curl --request POST \
--url https://api.justanotheruptime.com/maintenance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"projectId": "<string>"
}
'import requests
url = "https://api.justanotheruptime.com/maintenance"
payload = {
"title": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
projectId: '<string>'
})
};
fetch('https://api.justanotheruptime.com/maintenance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Maintenance
Create a new maintenance window
POST
/
maintenance
Create a new maintenance window
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The title of the maintenance window
The description of the maintenance window
The start time of the maintenance window
The end time of the maintenance window
The ID of the project this maintenance window belongs to
Response
The maintenance window has been successfully created.
⌘I